* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Nunito", sans-serif;
  scroll-behavior: smooth;
}

body {
  background-color: #f8f6f2;
}

.accordion {
  width: 75%;
  margin: 30px 0;
}

.exercise-body {
  background: url(../img/nav_bg.webp) center/ cover no-repeat;
  border-radius: 6px;
}

.form-0_wrap p {
  font-size: 40px;
  color: #5a2e69;
  font-weight: 800;
}

.exercise-nav-item {
  width: 100%;
  display: flex;
  justify-content: center;
  z-index: 2;
}

.row {
  display: flex;
  flex-wrap: wrap;
  margin: 0;
}

.card-header .btn-link-1,
.card-header .btn-link-6 {
  background-color: #727cf5;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  transition: all 0.5s;
}

.card-header {
  position: relative;
  background-color: #e1e1df;
}

.card-header .btn-link-1::before,
.card-header .btn-link-6::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.card-header .btn-link-1:hover,
.card-header .btn-link-6:hover {
  color: #727cf5;
  background-color: #fff;
}

.card-header .btn-link-2,
.card-header .btn-link-7 {
  background-color: #008060;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  transition: all 0.5s;
}

.card-header .btn-link-2::before,
.card-header .btn-link-7::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  transform: translateX(10%);
}

.card-header .btn-link-2:hover,
.card-header .btn-link-7:hover {
  color: #008060;
  background-color: #fff;
}

.card-header .btn-link-3,
.card-header .btn-link-8 {
  transition: all 0.5s;
}

.card-header .btn-link-3,
.card-header .btn-link-8 {
  background-color: #0948b3;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  transition: all 0.7s;
}

.card-header .btn-link-3::before,
.card-header .btn-link-8::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  transform: translateX(10%);
}

.card-header .btn-link-3:hover,
.card-header .btn-link-8:hover {
  color: #0948b3;
  background-color: #fff;
}

.card-header .btn-link-4,
.card-header .btn-link-9 {
  transition: all 0.5s;
}

.card-header .btn-link-4,
.card-header .btn-link-9 {
  background-color: #f06445;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  transition: all 0.7s;
}

.card-header .btn-link-4::before,
.card-header .btn-link-9::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  transform: translateX(10%);
}

.card-header .btn-link-4:hover,
.card-header .btn-link-9:hover {
  color: #f06445;
  background-color: #fff;
}

.card-header .btn-link-5,
.card-header .btn-link-10 {
  transition: all 0.5s;
}

.card-header .btn-link-5,
.card-header .btn-link-10 {
  background-color: #f279ac;
  color: #fff;
  text-decoration: none;
  font-weight: 600;
  transition: all 0.7s;
}

.card-header .btn-link-5::before,
.card-header .btn-link-10::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  transform: translateX(10%);
}

.card-header .btn-link-5:hover,
.card-header .btn-link-10:hover {
  color: #f279ac;
  background-color: #fff;
}

.exercise {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 85px 20px;
}

#exercise-1,
#exercise-6 {
  background-color: #727cf5;
}

#exercise-2,
#exercise-7 {
  background-color: #008060;
}

#exercise-3,
#exercise-8 {
  background-color: #0948b3;
}

#exercise-4,
#exercise-9 {
  background-color: #f06445;
}

#exercise-5,
#exercise-10 {
  background-color: #f279ac;
}

.exercise_content {
  background-color: #fff;
  padding: 15px;
  border: 1px solid transparent;
  border-radius: 8px;
  color: #6c757d;
  display: flex;
  flex-direction: column;
  /* align-items: center;
  justify-content: center; */
}

.exercise-so-n {
  padding: 30px 30px 0;
  width: 100%;
  color: #ad8d1a;
}

.exercise-so-n .songuyen-n {
  width: 100%;
  flex: 1;
}

.exercise-info {
  display: flex;
  /* justify-content: space-between; */
  margin-bottom: 16px;
}

.exercise-so-n input {
  height: 100%;
  padding: 10px;
  border: 1px solid transparent;
  border-radius: 8px;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  font-size: 16px;
}

.exercise-so-n__btn {
  flex: 1;
  margin-left: 24px;
}

.exercise-so-n__btn button {
  background-color: #727cf5;
  border-color: #727cf5;
  border-radius: 8px;
  padding: 8px 15px;
  color: #fff;
  width: auto;
  font-size: 18px;
  font-weight: 800;
  text-transform: uppercase;
  letter-spacing: 1px;
  transition: all 0.5s;
  cursor: pointer;
}

.exercise-so-n__btn button:hover {
  color: #727cf5;
  background-color: #fff;
  font-weight: 800;
}

.exercise-so-n__btn button i {
  font-size: 22px;
  padding-left: 10px;
  transition: all 0.5s;
}

.exercise-so-n__btn button:hover i {
  animation: move1 linear 0.3s;
}

.card {
  border: 0 solid rgba(0, 0, 0, 0.13);
  border-radius: 0.375rem;
  box-shadow: 0 7px 14px 0 rgba(65, 69, 88, 0.1),
    0 3px 6px 0 rgba(0, 0, 0, 0.07);
  background-color: #ecf0f3;
  color: #a0a5a8;
  text-align: start;
}

.exercise_content h1 {
  font-size: 25px;
  font-weight: 800;
  text-transform: uppercase;
  padding-bottom: 20px;
}

.exercise_content .form {
  width: 100%;
}

.exercise-so-n #form-0 {
  /* width: 75%; */
  display: flex;
  justify-content: space-evenly;
  padding: 15px;
}

.exercise_content .form-group {
  display: flex;
  flex-direction: column;
  width: auto;
}

.form-group-top {
  margin-bottom: 0;
}

.exercise_content .form-result-ex2 {
  grid-column: 1 / span 2;
}

.exercise_content .exercise-2-btnwrap {
  width: 100%;
}

.exercise_content .exercise-2_btn,
.exercise_content .exercise-2_btn_get-array {
  width: auto;
}

.exercise_content .exercise-2_btn_get-array {
  margin-top: 15px;
}

.exercise_content #nhapmangsonguyen {
  margin-bottom: 15px;
}

.form-group label {
  margin-bottom: 15px;
  font-size: 18px;
  font-weight: 700;
}

.form-group-top label {
  margin-bottom: 0;
}

.form-group input,
.form-group select {
  width: 70%;
  padding: 10px;
  border: 1px solid transparent;
  border-radius: 8px;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  font-size: 16px;
}

#result-ex1,
#result-ex2,
#result-ex2_get-array,
#result-ex3,
#result-ex4,
#result-ex5,
#result-ex6,
#result-ex7,
#result-ex8,
#result-ex9,
#result-ex10,
#result-top {
  color: #f06445;
  font-size: 18px;
  font-weight: 700;
}

.exercise_content button {
  background-color: #727cf5;
  border-color: #727cf5;
  border-radius: 8px;
  padding: 8px 15px;
  color: #fff;
  width: auto;
  font-size: 18px;
  font-weight: 800;
  text-transform: uppercase;
  letter-spacing: 1px;
  transition: all 0.5s;
  cursor: pointer;
}

.exercise_content button i {
  font-size: 22px;
  padding-left: 10px;
  transition: all 0.5s;
}

.exercise_content button:hover i {
  animation: move1 linear 0.3s;
}

@keyframes move1 {
  49% {
    transform: translateY(100%);
  }

  50% {
    opacity: 0;
    transform: translateY(-100%);
  }

  51% {
    opacity: 1;
  }
}

.exercise_content button:hover,
.exercise_content .exercise-6_btn {
  color: #727cf5;
  background-color: #fff;
  font-weight: 800;
}

.exercise-so-n__btn .exercise-top_btn {
  background-color: #6ac3f2;
  border-color: #6ac3f2;
}

.exercise-so-n__btn .exercise-top_btn:hover {
  color: #6ac3f2;
  background-color: #fff;
  font-weight: 800;
}

.exercise_content button .exercise-2_icon,
.exercise_content button .exercise-3_icon {
  vertical-align: middle;
}

.exercise_content .exercise-2_btn,
.exercise_content .exercise-7_btn,
.exercise_content .exercise-2_btn_get-array {
  background-color: #008060;
  border-color: #008060;
}

.exercise_content .exercise-2_btn:hover,
.exercise_content .exercise-7_btn:hover,
.exercise_content .exercise-2_btn_get-array:hover {
  color: #008060;
  background-color: #fff;
  font-weight: 800;
}

.exercise_content .exercise-3_btn,
.exercise_content .exercise-8_btn {
  background-color: #0948b3;
  border-color: #0948b3;
}

.exercise_content .exercise-3_btn:hover,
.exercise_content .exercise-8_btn:hover {
  color: #0948b3;
  background-color: #fff;
  font-weight: 800;
}

.exercise_content .exercise-4_btn,
.exercise_content .exercise-9_btn {
  width: auto;
  background-color: #f06445;
  border-color: #f06445;
}

.exercise_content .exercise-9_btn-them {
  width: auto;
  background-color: #f06445;
  border-color: #f06445;
  margin-bottom: 15px;
}

.exercise_content .exercise-4_btn:hover,
.exercise_content .exercise-9_btn:hover {
  color: #f06445;
  background-color: #fff;
  font-weight: 800;
}

.exercise_content .exercise-9_btn-them:hover {
  color: #f06445;
  background-color: #fff;
  font-weight: 800;
}

.exercise_content .exercise-5_btn,
.exercise_content .exercise-10_btn {
  background-color: #f279ac;
  border-color: #f279ac;
}

.exercise_content .exercise-5_btn:hover,
.exercise_content .exercise-10_btn:hover {
  color: #f279ac;
  background: #fff;
  font-weight: 800;
}

.rb-smart-ruler-shape-focused {
  display: none;
}

@media (min-width: 992px) and (max-width: 1200px) {
  .detail-item {
    flex: 3;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .detail-item {
    flex: 2;
  }
}

@media (min-width: 501px) and (max-width: 767px) {
  .detail-item {
    flex: none;
  }
}
